package com.heyu.api.baidu.handle.financial;

import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.request.financial.BOnlineTaxiItineraryRequest;
import com.heyu.api.baidu.response.financial.BOnlineTaxiItineraryResp;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * https://console.bce.baidu.com/support/?_=1740575657628&timestamp=1740579436479#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E8%B4%A2%E5%8A%A1%E7%A5%A8%E6%8D%AEOCR&api=rest%2F2.0%2Focr%2Fv1%2Fonline_taxi_itinerary&method=post
 * 网约车行程单识别
 */

@Component
@Slf4j
public class BOnlineTaxiItineraryHandle extends BaiduBaseHandle<BOnlineTaxiItineraryRequest, BOnlineTaxiItineraryResp> {

    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/online_taxi_itinerary";
    }

    @Override
    public String check(BOnlineTaxiItineraryRequest bOnlineTaxiItineraryRequest) {
        return checkOfd(bOnlineTaxiItineraryRequest);
    }

    @Override
    public String getContent(BOnlineTaxiItineraryRequest bOnlineTaxiItineraryRequest) {
        return getOfdContent(bOnlineTaxiItineraryRequest).toString();
    }
}
